Subject: bug#27183: [PATCH 2/2] gnu: font-cns11643: Use 'font-build-system'.

From: Brendan Tildesley <[email-masked]>
Date: Fri, 2 Jun 2017 01:24:15 +1000

Arun Isaac 於 2017-06-02 01:19 寫道:
> Brendan Tildesley writes:
>
>> From 6e48521ff2f7b435670db6937c3282da75ab4ae0 Mon Sep 17 00:00:00 2001
>> From: Brendan Tildesley <[email-masked]>
>> Date: Thu, 1 Jun 2017 22:59:45 +1000
>> Subject: [PATCH 2/2] gnu: font-cns11643: Use 'font-build-system'.
>>
>> * gnu/packages/fonts.scm (font-cns16643): Use 'font-build-system'.
>> ---
>>  gnu/packages/fonts.scm | 30 +-----------------------------
>>  1 file changed, 1 insertion(+), 29 deletions(-)
>>
>> diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
>> index 29f43f13d..fbfe9843b 100644
>> --- a/gnu/packages/fonts.scm
>> +++ b/gnu/packages/fonts.scm
>> @@ -410,35 +410,7 @@ text in Simplified Chinese, Traditional Chinese, Japanese, and Korean.")
>>                (sha256
>>                 (base32
>>                  "1iad6rklxkx03ji1fav9faq7cmqkci3i6pcyg2ilvh984j5qzhq3"))))
>> -    (outputs '("out" "tw-kai" "tw-sung"))
> Any particular reason you are collapsing the three outputs of this
> package into one? I understand that this package is too small to be
> split into three different outputs. But, I wonder what the original
> packager was thinking when he did this.

The original packager was me ^.^. I was never decisive about how it out
to be packaged, It's just that the font files are large but I was only
ever going to use one of them, so I split it up. It was easy to just
delete it all and swap in the font-build-system.